export declare class IFrameWidget {
    private readonly iframeUrl;
    private readonly iframeElement;
    private mountInProgress;
    constructor(iframeElement: HTMLIFrameElement, url: string, _vendor: string, _sdkToken: string | undefined);
    unmount(): void;
    private mount;
    mountAndWaitForResponse(): Promise<void>;
}
